Bug 166427 - Review Request: inform - Compiler for Z-machine story files
Review Request: inform - Compiler for Z-machine story files
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fedora Package Reviews List
http://www.chrisgrau.com/packages/inf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-20 19:46 EDT by Chris Grau
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 19:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Grau 2005-08-20 19:46:33 EDT
Spec Name or Url: http://www.chrisgrau.com/packages/inform/inform.spec
SRPM Name or Url: http://www.chrisgrau.com/packages/inform/inform-6.30.2-1.src.rpm
Description:
Inform is an Interactive Fiction (text adventure) game compiler -- it takes
source code you write and turns it into a game data file which is then
played using a Z-machine interpreter, such as frotz.

Also of note, rpmlint reports many of the following errors:
  info-files-without-install-info-postin
  info-files-without-install-info-postun

I suspect this is because the installation path of inform's data files is /usr/share/inform, which is very similar to /usr/share/info.  The inform distribution contains no info files.
Comment 1 Ville Skyttä 2005-08-21 03:55:43 EDT
The noise from rpmlint looks bogus indeed, and will be fixed in the next 
rpmlint package revision. 
Comment 2 John Mahowald 2005-11-10 11:32:48 EST
The license needs a closer look, in particular:

I am happy
    for it to be freely distributed to anybody who wants a copy, provided
    that: (a) distributed copies are not substantially different from those
    archived by the author, (b) this and other copyright messages are
    always retained in full, and (c) no profit is involved.  (Exceptions to
    these rules must be negotiated directly with the author.)

Of need for clarification is the no profit and the "distributed copies are not
substantially different".
Comment 3 Hans de Goede 2006-03-30 11:32:19 EST
IANAL but we need to ask the author to change the license, the "no profit" is
unacceptable, believe me I've been on the other end trying to argue about this
and I've lost. An alternative would be creating a non-commercial-use-only repo
but there doesn't seem to be any support in the community for this.
Comment 4 Hans de Goede 2006-04-26 04:58:20 EDT
Ping?

I know licensing is no fun, but if you/we want this package in FE we need to
sort this out. If you want me to I can contact the author and politely explain
our problem to him and ask for a license change. I've done so successfully in
the past, do a "yum install crystall-stacker" or "yum install worminator" and
then look in /usr/share/doc/xxx to see the license change discussion, I've
included the discussion in the packages because upstream hasn't released a new
version with the new license included yet.
Comment 5 Jason Tibbitts 2006-04-30 01:23:46 EDT
Has anyone contacted roger@firthworks.com about the license?  That would seem to
be the proper contact address these days.
Comment 6 Hans de Goede 2006-04-30 02:45:13 EDT
Jason,

I would be more then happy to contact that address, I'm waiting for a comment
from Chris on this, does he want me to contact that address or will he do so
himself?

Chris?
Comment 7 Chris Grau 2006-04-30 13:14:45 EDT
Sorry about the silence.  I'll contact the author today.  Thanks for the ping guys.
Comment 8 Chris Grau 2006-05-10 19:54:55 EDT
I contacted Graham Nelson regarding this issue.  He has his reasons for not
wanting to use an OSI-approved license.  In his words,

> I am nervous of the GPL, and its cognates. Not because I dislike
> the principle of thing, or do not share the generally egalitarian
> outlook - but because I want to keep the definition of the language
> stable. I therefore don't want to give people the right to create
> derivative works. All the other rights are fine - open source,
> compile it yourself, distribute it yourself, no fees or patents,
> use it even commercially without permission, sure. I just don't
> want Inform to be like awk, with no copy of awk compatible
> with any other on points of detail.

I can understand where he's coming from on this and I'm not convinced I want to
change his mind.  I'm going to go ahead and let the issue drop.  I appreciate
the attention from both Jason and Hans.
Comment 9 Hans de Goede 2006-05-11 03:02:31 EDT
Hmm,

Couldn't he make up a License (using an OSI one as starting point) which is
fully OSI except that it doesn't allow changing the Inform language?

Which then brings us to the next question, would such a License be open enough
for Fedora?

Otherwise you can always package it for the repo that must not be named.

Note You need to log in before you can comment on or make changes to this bug.